Subject: Re: bug#27982: 25.1.50; expand-file-name docstring on how to traverse the filesystem
From: Nicolas Richard <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Aug 2017 17:43:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Eli,

Thanks for your help but let me close this.

I initially thought it was "obviously wrong", but it is not. I think the
wording is slightly misleading (e.g. "dirname" vs "dir-as-file-name"),
but nothing important.

Nicolas.

Eli Zaretskii <[email-masked]> writes:

>> From: Nicolas Richard <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 23 Aug 2017 21:18:53 +0200
>>
>> Ok so now I'm saying that, with the suggestion in the docstring, output
>> will be different if "dirname" ends in a slash.
>
> Of course.  directory-file-name and file-name-directory look at the
> slashes, so having one more slash at the end changes everything.
> There's nothing new here.
>
> So where do we go from here, in the context of this bug report?  What
> would you propose to change, where, and why?
>
> Thanks.

--